Bug 1459477 (CVE-2017-9503)

Summary: CVE-2017-9503 Qemu: scsi: megasas: null pointer dereference while processing megasas command
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amitshah, apevec, areis, ayoung, berrange, cfergeau, chrisw, cvsbot-xmlrpc, ddepaula, drjones, dwmw2, imammedo, itamar, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, robinlee.sysu, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20170510,reported=20170509,source=researcher,cvss2=2.3/AV:A/AC:M/Au:S/C:N/I:N/A:P,cvss3=3.4/CVSS:3.0/AV:A/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L,cwe=CWE-476,rhel-5/kvm=notaffected,rhel-5/xen=notaffected,rhel-6/qemu-kvm=notaffected,rhel-6/qemu-kvm-rhev=notaffected,rhel-7/qemu-kvm=notaffected,rhel-7/qemu-kvm-rhev=notaffected,openstack-5/qemu-kvm-rhev=notaffected,openstack-6/qemu-kvm-rhev=notaffected,openstack-7/qemu-kvm-rhev=notaffected,openstack-8/qemu-kvm-rhev=notaffected,openstack-9/qemu-kvm-rhev=notaffected,openstack-10/qemu-kvm-rhev=notaffected,fedora-all/qemu=affected,fedora-all/xen=notaffected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:14:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1459478    
Bug Blocks: 1449494    

Description Prasad J Pandit 2017-06-07 09:15:24 UTC
Quick Emulator(Qemu) built with the MegaRAID SAS 8708EM2 Host Bus Adapter
emulation support is vulnerable to a null pointer dereference issue. It
could occur while processing megasas commands via megasas_command_complete().

A privileged user inside guest could use this flaw to crash the Qemu process
on the host resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-06/msg01313.html
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-06/msg01309.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/06/08/1

Comment 1 Prasad J Pandit 2017-06-07 09:16:03 UTC
Acknowledgments:

Name: Zhangyanyu

Comment 2 Prasad J Pandit 2017-06-07 09:17:06 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1459478]

Comment 3 Paolo Bonzini 2017-06-07 17:55:37 UTC
Patches at https://lists.gnu.org/archive/html/qemu-devel/2017-06/msg01308.html